cat country.now| sed 's/ *$/ /g; s/^  *//g;s/ C:/ /g; s/ D:/ /g';sed 's/  */ /g' >country.now.new


CREATE TABLE COUNTRY_NOW
    (NETNUM   CHAR(15) NOT NULL,
    NETNAME	CHAR(25),
    CC	CHAR(2),
    CONFIGDATE DATE,
    PATH1NUM NUMBER (3), path1as number (5), 
    path2num number (3), path2as number(5),
    path3num number (3), path3as number (5),
    path4num number (3), path4as number (5),
    path5num number (3), path5as number (5),
    path6num number (3), path6as number (5), 
    path7num number (3), path7as number (5), 
    path8num number (3), path8as number (5),
    path9num number (3), path9as number (5),
    path10num number (3), path10as number (5),
    PRIMARY KEY (NETNUM));




column date format A12;
column cc format A4;
set linesize 600;
set pagesize 2000; 

select t3.netnum, t3.netname, 'C:' || t3.cc "cc", 
'D:' || to_char(t3.configdate, 'mm/dd/yy') "date", 
	T3.PATH1NUM || ':', T3.PATH1AS, 
                T3.PATH2NUM || ':', T3.PATH2AS, 
                T3.PATH3NUM || ':', T3.PATH3AS, 
                T3.PATH4NUM || ':', T3.PATH4AS, 
                T3.PATH5NUM || ':', T3.PATH5AS,
                T3.PATH6NUM || ':', T3.PATH6AS,
                T3.PATH7NUM || ':', T3.PATH7AS,
                T3.PATH8NUM || ':', T3.PATH8AS,
                T3.PATH9NUM || ':', T3.PATH9AS,
                T3.PATH10NUM || ':', T3.PATH10AS  
from country_now T3, silent_net3_apr f
where t3.netnum = f.netnum
order by t3.path1as, t3.netnum; 



create index d on silent_net3_dec (netnum);


Let us assume that the raw file is named: outraw;

cat outraw|sed 's/  */ /g'|sed 's/[: ]*$//g'| sed 's/: /:/g' >new.list


insert into silent_by_as (asnum, total)
select n.path1as, count(path1as) 
from silent_net3_feb f, silent_net3_mar m, silent_net3_jan j,
     net_comp3_now n
where f.netnum = m.netnum 
     and f.netnum = j.netnum
     and f.netnum = n.netnum
group by n.path1as;


select s.total, s.asnum, a.name
from silent_by_as s, as_as3_now a
where s.asnum = a.asnum
order by s.total desc;



